/*****************************************
 * Small Assignment 2: Processing and Turtle Geometry
 * Name:    Yie-Sheng Chen
 * E-mail:  tallpik3@unm.edu
 * Course:      CS591, Computational Fabrication
 * Submitted:    1/31/2022
 *
 * This program includes several different features.
* To plot a polar plot, press the p key. and then click on different position to interactively create the image.
* To draw a circle with a turtle, press the t key.
* To draw a flower, press the f key.
* To draw a cool turtle path, press the c key.
***********************************************/
import Turtle.*;
Turtle t;
LSystem l;

String mode;

void setup() {
  size (800,800);
  frameRate(1);
}

void draw() {
  // flowerPath(width/2, height/2);
}

void keyPressed() {
  if (key == 'p'){
    mode = "polar";
    background(220,200,100);
  }
  else if(key == 't'){
    mode = "circle";
    t = new Turtle(this);
    background(220,200,100);
    centeredCircle(100);
  }
  else if(key == 'f'){
    mode = "flower";
    t = new Turtle(this);
    background(220,200,100);
    flower(11);
  }
  else if(key == 'c'){
    mode = "cool";
    t = new Turtle(this);
    nazcaStyles(5);
  }
  else if(key == 's'){
    save(mode + day()+month()+year()+hour()+minute()+second() +".jpg");
  }
  println(mode + " pressed");
}

void mouseClicked() {
  println("under: " + mode + " , mouseClicked");
  if (mode == "polar"){
    print(mode + " test");
    flowerPath(mouseX, mouseY);
  }
}


